## GimpColorDisplayStack

GimpColorDisplayStack — A stack of color correction modules.

## Functions

GimpColorDisplayStack * | gimp_color_display_stack_new ()
GimpColorDisplayStack * | gimp_color_display_stack_clone ()
void | gimp_color_display_stack_changed ()
void | gimp_color_display_stack_add ()
void | gimp_color_display_stack_remove ()
void | gimp_color_display_stack_reorder_up ()
void | gimp_color_display_stack_reorder_down ()
void | gimp_color_display_stack_convert ()
void | gimp_color_display_stack_convert_surface ()
void | gimp_color_display_stack_convert_buffer ()

## Signals

void | added | Run First
void | changed | Run First
void | removed | Run First
void | reordered | Run First

## Types and Values

| GimpColorDisplayStack

## Object Hierarchy

        GObject
        ╰── GimpColorDisplayStack

## Description

A stack of color correction modules.

## Functions

### gimp_color_display_stack_new ()

    GimpColorDisplayStack *
    gimp_color_display_stack_new (void);

### gimp_color_display_stack_clone ()

    GimpColorDisplayStack *
    gimp_color_display_stack_clone (GimpColorDisplayStack *stack);

### gimp_color_display_stack_changed ()

    void
    gimp_color_display_stack_changed (GimpColorDisplayStack *stack);

### gimp_color_display_stack_add ()

    void
    gimp_color_display_stack_add (GimpColorDisplayStack *stack,
                                  GimpColorDisplay *display);

### gimp_color_display_stack_remove ()

    void
    gimp_color_display_stack_remove (GimpColorDisplayStack *stack,
                                     GimpColorDisplay *display);

### gimp_color_display_stack_reorder_up ()

    void
    gimp_color_display_stack_reorder_up (GimpColorDisplayStack *stack,
                                         GimpColorDisplay *display);

### gimp_color_display_stack_reorder_down ()

    void
    gimp_color_display_stack_reorder_down (GimpColorDisplayStack *stack,
                                           GimpColorDisplay *display);

### gimp_color_display_stack_convert ()

    void
    gimp_color_display_stack_convert (GimpColorDisplayStack *stack,
                                      guchar *buf,
                                      gint width,
                                      gint height,
                                      gint bpp,
                                      gint bpl);

`gimp_color_display_stack_convert` is deprecated and should not be used in newly-written code.

GIMP 2.8: Use `gimp_color_display_stack_convert_buffer()` instead.

Converts all pixels in `buf` .

#### Parameters

stack | a GimpColorDisplayStack |
buf | the pixel buffer to convert |
width | the width of the buffer |
height | the height of the buffer |
bpp | the number of bytes per pixel |
bpl | the buffer's rowstride |

### gimp_color_display_stack_convert_surface ()

    void
    gimp_color_display_stack_convert_surface
                                   (GimpColorDisplayStack *stack,
                                    cairo_surface_t *surface);

`gimp_color_display_stack_convert_surface` is deprecated and should not be used in newly-written code.

GIMP 2.10: Use `gimp_color_display_stack_convert_buffer()` instead.

Runs all the stack's filters on all pixels in `surface` .

#### Parameters

stack | a GimpColorDisplayStack |
surface | a cairo_image_surface_t of type ARGB32 |

Since: 2.8

### gimp_color_display_stack_convert_buffer ()

    void
    gimp_color_display_stack_convert_buffer
                                   (GimpColorDisplayStack *stack,
                                    GeglBuffer *buffer,
                                    GeglRectangle *area);

Runs all the stack's filters on all pixels in `area` of `buffer` .

#### Parameters

stack | a GimpColorDisplayStack |
buffer | a GeglBuffer |
area | area of `buffer` to convert |

Since: 2.10

## Types and Values

### GimpColorDisplayStack

    typedef struct _GimpColorDisplayStack GimpColorDisplayStack;

## Signal Details

### The `“added”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   int                    arg2,
                   gpointer               user_data)

Flags: Run First

### The `“changed”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   gpointer               user_data)

Flags: Run First

### The `“removed”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   gpointer               user_data)

Flags: Run First

### The `“reordered”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   int                    arg2,
                   gpointer               user_data)

Flags: Run First

## See Also

GimpColorDisplay